com.mockobjects.beans

## Class MockPropertyChangeListener

- java.lang.Object
- - com.mockobjects.MockObject
  - - com.mockobjects.beans.MockPropertyChangeListener

- All Implemented Interfaces:
    Verifiable, java.beans.PropertyChangeListener, java.util.EventListener

      public class MockPropertyChangeListener
      extends MockObject
      implements java.beans.PropertyChangeListener

  Mock object for a PropertyChangeListener. This mock object can be used in verifying the event propagation mechanism of beans. You can set the information you expect from a PropertyChangeEvent as well as the number of events. If you expect more than one event, only the actual values of the last event are stored.
  Author:
    Ringo De Smet - MediaGeniX NV

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MockPropertyChangeListener()`
    `MockPropertyChangeListener(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `propertyChange(java.beans.PropertyChangeEvent event)`
    `void` | `setExpectedEventCount(int expectedEventCount)`
    `void` | `setExpectedNewValue(java.lang.Object expectedNewValue)`
    `void` | `setExpectedOldValue(java.lang.Object expectedOldValue)`
    `void` | `setExpectedPropertyName(java.lang.String expectedPropertyName)`

    - ### Methods inherited from class com.mockobjects.MockObject

      `notImplemented, notYetImplemented, verify`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MockPropertyChangeListener

          public MockPropertyChangeListener(java.lang.String name)

    - #### MockPropertyChangeListener

          public MockPropertyChangeListener()

  - ### Method Detail

    - #### propertyChange

          public void propertyChange(java.beans.PropertyChangeEvent event)

      Specified by:
        `propertyChange` in interface `java.beans.PropertyChangeListener`

    - #### setExpectedNewValue

          public void setExpectedNewValue(java.lang.Object expectedNewValue)

    - #### setExpectedOldValue

          public void setExpectedOldValue(java.lang.Object expectedOldValue)

    - #### setExpectedEventCount

          public void setExpectedEventCount(int expectedEventCount)

    - #### setExpectedPropertyName

          public void setExpectedPropertyName(java.lang.String expectedPropertyName)

Copyright © 2002 Mock Objects. All Rights Reserved.